<?php namespace Seller\Api;
use Dever;
use Dever\Helper\Str;
class Test
{
    # 测试商户回调
    public function callback()
    {
        $input = Dever::input();
        Dever::log($input, 'callback');
        return 'ok';
    }

    public function run()
    {
        $order = Dever::input('order');
        $info = Dever::db('order', 'seller')->find($order);
        Dever::load('order', 'seller')->handle($info);
    }

    # 压力测试
    public function test()
    {
        $code = 'yd100';
        $info = Dever::db('info', 'seller')->find(1);
        $sku = Dever::db('info_sku', 'goods')->find(array('code' => $code));
        $goods = Dever::db('info', 'goods')->find($sku['info_id']);
        $account = '1' . Str::rand(10, 0);
        $order = Str::order('T');
        $num = 1;
        return Dever::load('order', 'seller')->add($info, $goods, $sku, $account, $order, $num);
    }

    # 将当前订单置为失败
    public function test_no()
    {
        while(1) {
            $order = Dever::db('order', 'seller')->find(array('seller_id' => 1, 'status' => 2));
            if ($order) {
                $msg = 'error';
                $update = array();
                $update['official_msg'] = '';
                $update['official_order_num'] = '';
                $update['channel_callback'] = '';
                $update['channel_callback_date'] = time();
                Dever::load('order', 'seller')->notify($order, $msg, $update);
            }
        };
    }
}