<?php
return array
(
    'name' => '商户订单渠道错误表',
    'cdate' => 'mtime',//mtime保存为微秒，wtime保存为毫秒，默认是秒 暂时不支持，后续升级
    'order' => 'cdate desc',
    //'store' => 'log1',
    'struct' => array
    (
        'order_num' => array
        (
            'name'      => '系统订单号',
            'type'      => 'varchar(100)',
        ),

        'buy_price'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '采购金额',
            'fields'    => true,
        ),

        'channel_id' => array
        (
            'name'      => '渠道',
            'type'      => 'int(11)',
            'value'     => 'channel/info',
        ),

        'channel_goods_id' => array
        (
            'name'      => '渠道商品id',
            'type'      => 'int(11)',
        ),

        'channel_goods_discount' => array
        (
            'name'      => '渠道商品折扣',
            'type'      => 'int(11)',
        ),

        'channel_order_date' => array
        (
            'name'      => '渠道下单时间',
            'type'      => 'int(11)',
        ),

        'channel_order_num' => array
        (
            'name'      => '渠道订单号',
            'type'      => 'varchar(100)',
        ),

        'channel_request' => array
        (
            'name'      => '渠道请求数据',
            'type'      => 'varchar(2000)',
            'fields'    => true,
            'base64'    => true,
        ),

        'channel_response' => array
        (
            'name'      => '渠道响应数据',
            'type'      => 'varchar(2000)',
            'fields'    => true,
            'base64'    => true,
        ),

        'channel_callback' => array
        (
            'name'      => '渠道回调数据',
            'type'      => 'varchar(2000)',
            'fields'    => true,
            'base64'    => true,
        ),

        'channel_callback_date' => array
        (
            'name'      => '渠道回调时间',
            'type'      => 'int(11)',
        ),
    ),

    'index' => array
    (
        'search' => 'order_num',
    ),
);